Drop autotools support.

Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
pull/2/head
Michele Calgaro 1 year ago
parent 430bf0fb91
commit 9818b210e2
Signed by: MicheleC
GPG Key ID: 2A75B7CA8ADED5CF

3
.gitmodules vendored

@ -1,3 +0,0 @@
[submodule "admin"]
path = admin
url = https://system@scm.trinitydesktop.org/scm/git/tde-common-admin

@ -111,14 +111,7 @@ add_subdirectory( plugins )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
SET(DIST_INCLUDE "kbfx-9999.ebuild kbfx.spec kbfx-${GENTOO_VERSION}.ebuild strigi-${STRIGI_VERSION}.ebuild")
SET(DIST_EXCLUDE "Helperstuff")
##### write configure files #####################
configure_file(config.h.in config.h @ONLY)
configure_file(kbfx.spec.in kbfx.spec @ONLY)
configure_file(kbfx.ebuild.in kbfx-${GENTOO_VERSION}.ebuild @ONLY)
configure_file(strigi.ebuild.in strigi-${STRIGI_VERSION}.ebuild @ONLY)
configure_file(kbfx-svn.ebuild.in kbfx-9999.ebuild @ONLY)
configure_file(config.h.cmake config.h @ONLY)

@ -1 +0,0 @@
Subproject commit 9fdc22134b3f0ed3c0af126ca8b3a63ebbcaf4d7

@ -1,246 +0,0 @@
#! /bin/sh
CMAKE_OPT_PREFIX_KDE3="-DCMAKE_INSTALL_PREFIX:PATH=`tde-config --prefix 2>/dev/null` "
CMAKE_OPT_PREFIX_KDE4="-DCMAKE_INSTALL_PREFIX:PATH=`kde4-config --prefix 2>/dev/null` "
CMAKE_OPT_PREFIX=""
MAKE_VERBOSE=""
USE_STRIGI_SEARCH=""
MENUDRAKE=""
KDE4=""
ACTION="install"
NOCHECK=0
build_state="touch kbfx_build"
command_line_args=$@
eval "which kbfxconfigapp > /dev/null 2>&1" && kbfx_installed="1" || kbfx_installed="0"
color_ok="\\033[1;32m"
color_error="\\033[1;31m"
color_normal="\\033[0;39m"
color_warn="\\033[1;33m"
prog_action(){
echo
echo -e "$color_ok $@ $color_normal"
}
prog_err(){
echo
echo -e "$color_error ERROR doing $@ $color_normal\n"
}
confirm() {
printf "$color_warn %s (Y)es/(N)o? [%s]$color_normal " "$1" "$2"
unset user_input
answer="$2"
read user_input
if [ "$user_input" = "y" -o "$user_input" = "Y" -o "$user_input" = "YES" -o "$user_input" = "Yes" -o "$user_input" = "yes" ]; then
answer="Y"
fi
if [ "$user_input" = "n" -o "$user_input" = "N" -o "" = "NO" -o "$user_input" = "No" -o "$user_input" = "no" ]; then
answer="N"
fi
}
parse_command_line() {
if [ "$#" -eq 0 ]; then
return 0
fi
while [ "$1" != "${1##-}" ]; do
case $1 in
--verbose|-v)
MAKE_VERBOSE="VERBOSE=1"
shift 1
;;
--prefix|-p)
if [ -n "$2" -a "$2" = "${2##-}" ]; then
t=0
stop=0
s=""
for p in $@
do
t=$[t+1]
if [ $t -gt 1 -a "$p" = "${p##-}" -a $stop -eq 0 ]; then
s="$s$p "
fi
if [ $t -gt 1 -a "$p" != "${p##-}" ]; then
stop=$[t-1]
fi
done
if [ $stop -eq 0 ]; then
stop=$[t-1]
fi
if [ -n "$s" ]; then
s=${s%%[ ]}
CMAKE_OPT_PREFIX="-DCMAKE_INSTALL_PREFIX:PATH='$s' "
fi
shift $stop
else
shift 1
return 1
fi
;;
--strigi|-s)
USE_STRIGI_SEARCH="-DUSE_STRIGI:BOOL=TRUE"
shift 1
;;
--menudrake-off|-m)
MENUDRAKE="-DUSE_MENUDRAKE:BOOL=FALSE"
shift 1
;;
--kde4|-k)
KDE4="-DUSE_KDE4:BOOL=TRUE"
shift 1
;;
--uninstall|-u)
ACTION="uninstall"
shift 1
;;
--nocheck|-n)
NOCHECK=1
shift 1
;;
*)
if [ "$#" -ge 1 ]; then
return 1
fi
return 0
;;
esac
done
}
show_usage(){
echo
echo -e "$color_warn Usage: \n\t build.sh \t [(-v|--verbose) Be verbose when compiling (default: no)] \n\t\t\t [(-u|--uninstall) Uninstall KBFX (default: no)] \n\t\t\t [(-p|--prefix) Install prefix (default: KDE prefix)] \n\t\t\t [(-s|--strigi) Compile strigi search plugin (default: no)] \n\t\t\t [(-m|-menudrake-off) Don't use menudrake in Mandriva (default: auto)] \n\t\t\t [(-k|--kde4) Compile for KDE4 (default: no)] \n\t\t\t [(-n|--nocheck) Do not check for old KBFX versions (default: check)] $color_normal"
echo
}
parse_command_line $command_line_args
if [ "$?" -eq 1 ]; then
prog_err "build.sh"
show_usage
exit 1
fi
show_usage
if [ "$ACTION" = "install" ]
then {
if [ $kbfx_installed -eq 1 -a $NOCHECK -eq 0 ] ; then
echo
echo -e "$color_error \n\t You have KBFX installed in your \$PATH!\n\t In order to compile the new version you HAVE TO REMOVE the old KBFX first!\n $color_normal"
exit 1
fi
if [ -d build ] ; then
echo
echo -e "$color_warn Directory 'build' exists! Using it...$color_normal"
echo -e "$color_error If 'build.sh' fails, try removing the directory 'build' and run 'build.sh' again! $color_normal"
else
mkdir build
fi
cd build
if [ "$CMAKE_OPT_PREFIX" = "" ]
then {
if [ "$KDE4" = "" ]
then {
CMAKE_OPT_PREFIX=$CMAKE_OPT_PREFIX_KDE3
}
else {
CMAKE_OPT_PREFIX=$CMAKE_OPT_PREFIX_KDE4
}
fi
}
fi
CMAKE_OPT="$CMAKE_OPT_PREFIX $KDE4 $MENUDRAKE $USE_STRIGI_SEARCH"
prog_action "Doing CMake configure..."
echo $CMAKE_OPT
eval "cmake ../ $CMAKE_OPT"
if [ $? -ne 0 ]; then
prog_err "CMake configure..."
exit 1
fi
prog_action "Doing make..."
make $MAKE_VERBOSE
if [ $? -ne 0 ]; then
prog_err "make..."
exit 1
fi
eval $build_state
prog_action "Success building KBFX...\n"
confirm "Do you want to install KBFX?" "Y"
if [ "$answer" = "Y" ]
then
sucommand="make install"
after_su="touch kbfx_install_user"
if [ `whoami` != 'root' ]
then {
confirm "To install KBFX as 'root', answer 'Yes'. To install as '`whoami`', answer 'No'" "N"
if [ "$answer" = "Y" ]
then {
sucommand="su root -c 'make install'"
after_su="touch kbfx_install_root"
}
fi
}
fi
prog_action "Doing 'make install'..."
eval $sucommand
if [ $? -ne 0 ]; then
prog_err "make install..."
exit 1
fi
eval $after_su
echo
echo -e "$color_warn NOTE: If you have used a custom prefix for your install (-p or --prefix option for script), \n you should add '$s' to your \$TDEDIRS environment variable\n and '$s/lib' to your \$LD_LIBRARY_PATH environment variable!\n $color_normal"
fi
}
else {
if [ -d build ]
then
cd build
else
echo
echo -e "$color_error \n\t Directory 'build' DOES NOT exist!\n\t You HAVE NOT used 'build.sh' script for installing KBFX! \n\t Uninstall CAN NOT continue!\n $color_normal"
exit 1
fi
if [ -f kbfx_install_user ]
then
sucommand="make uninstall"
after_su="rm -f kbfx_install_user"
elif [ -f kbfx_install_root ]
then
sucommand="su root -c 'make uninstall'"
after_su="rm -f kbfx_install_root"
elif [ -f kbfx_build ]
then
echo
echo -e "$color_error \n\t KBFX IS NOT installed! \n\t Uninstall CAN NOT continue!\n $color_normal"
exit 1
else
echo
echo -e "$color_error \n\t You HAVE NOT used 'build.sh' script for installing KBFX! \n\t Uninstall CAN NOT continue!\n $color_normal"
exit 1
fi
prog_action "Uninstalling..."
eval $sucommand
if [ $? -ne 0 ]; then
prog_err "uninstall..."
exit 1
fi
eval $after_su
}
fi
prog_action "All actions ended successfully...\n"

@ -1,31 +0,0 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header
inherit kde eutils
need-kde 3.3
MY_PN="${PN}-0.4.9.3.1"
S="${WORKDIR}/${MY_PN}"
DESCRIPTION="KDE alternative K-Menu"
HOMEPAGE="http://www.kbfx.net/"
SRC_URI="mirror://sourceforge/${PN}/${MY_PN}.tar.bz2"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="x86 ~ppc ~amd64"
IUSE="strigi"
DEPEND=">=dev-util/cmake-2.4.2
strigi? ( kde-misc/strigi )"
export DESTDIR=${D}
src_compile() {
cd ${S}
cmake \
-DCMAKE_INSTALL_PREFIX:PATH=${TDEDIR} \
-DUSE_STRIGI:BOOL=$( use strigi && echo ON || echo OFF ) \
. || die
}

@ -1,27 +0,0 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header
inherit kde eutils subversion
need-kde 3.3
DESCRIPTION="The SVN Version of the KDE alternative K-Menu KBFX"
HOMEPAGE="http://www.kbfx.net/"
ESVN_REPO_URI="svn://anonsvn.kde.org/home/kde/trunk/playground/base/kbfx_plasma"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86 ~ppc ~amd64"
IUSE="strigi"
DEPEND=">=dev-util/cmake-2.4.2
strigi? ( kde-misc/strigi )"
export DESTDIR=${D}
src_compile() {
cmake \
-DCMAKE_INSTALL_PREFIX:PATH=${TDEDIR} \
-DUSE_STRIGI:BOOL=$( use strigi && echo ON || echo OFF ) \
. || die
}

@ -1,27 +0,0 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header
inherit kde eutils subversion
need-kde 3.3
DESCRIPTION="The SVN Version of the KDE alternative K-Menu KBFX"
HOMEPAGE="http://www.kbfx.net/"
ESVN_REPO_URI="svn://anonsvn.kde.org/home/kde/trunk/playground/base/kbfx_plasma"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86 ~ppc ~amd64"
IUSE="strigi"
DEPEND=">=dev-util/cmake-2.4.2
strigi? ( kde-misc/strigi )"
export DESTDIR=${D}
src_compile() {
cmake \
-DCMAKE_INSTALL_PREFIX:PATH=${TDEDIR} \
-DUSE_STRIGI:BOOL=$( use strigi && echo ON || echo OFF ) \
. || die
}

@ -1,31 +0,0 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header
inherit kde eutils
need-kde 3.3
MY_PN="${PN}-@VERSION@"
S="${WORKDIR}/${MY_PN}"
DESCRIPTION="KDE alternative K-Menu"
HOMEPAGE="http://www.kbfx.net/"
SRC_URI="mirror://sourceforge/${PN}/${MY_PN}.tar.bz2"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="@GENTOO_KEYWORDS@"
IUSE="strigi"
DEPEND=">=dev-util/cmake-2.4.2
strigi? ( kde-misc/strigi )"
export DESTDIR=${D}
src_compile() {
cd ${S}
cmake \
-DCMAKE_INSTALL_PREFIX:PATH=${TDEDIR} \
-DUSE_STRIGI:BOOL=$( use strigi && echo ON || echo OFF ) \
. || die
}

@ -1,255 +0,0 @@
%define name kbfx
%define version 0.4.9.3.1
%define kbfx_release 1
%define is_stable 1
%define debug_package %{nil}
%define is_unknown %(test -e /etc/mandrake-release -o -e /etc/SuSE-release -o -e /etc/fedora-release -o -e /etc/pclinuxos-release && echo 0 || echo 1)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)
%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_pclinuxos %(test -e /etc/pclinuxos-release && echo 1 || echo 0)
%if %{is_suse}
%define prefix /opt/trinity
Group: System/GUI/KDE
Release: %{kbfx_release}.suse%(echo "%{suse_version}" | %__sed -e 's/.$//')
Requires: tdelibs3
BuildRequires: tdelibs3-devel tdebase3-devel
BuildRequires: cmake, automake, libtool
BuildRequires: glibc-devel, libstdc++-devel
%endif
%if %{is_fedora}
%define fedora_version %(rpm -q --queryformat '%{VERSION}' fedora-release)
%define fedora_vernum %(echo "%{fedora_version}" | tr -d '.')
%define prefix /usr
Group: System/GUI/KDE
Release: %{kbfx_release}.FC%{fedora_vernum}
Requires: tdebase
BuildRequires: tdebase-devel qt-devel
BuildRequires: cmake, automake, libtool
BuildRequires: glibc-devel, libstdc++-devel
%endif
%if %{is_mandrake}
%if %{is_pclinuxos} < 1
%define prefix /usr
Group: Graphical desktop/KDE
Release: %{kbfx_release}.mdv%(echo "%{mdkversion}" | %__sed -e 's/.$//')
Requires: tdebase
BuildRequires: tdebase-devel
BuildRequires: cmake, automake, libtool
BuildRequires: glibc-devel, libstdc++-devel
%endif
%endif
%if %{is_pclinuxos}
%define prefix /usr
Group: Graphical desktop/KDE
Release: %{kbfx_release}.pclos%{product_version}
Requires: tdelibs
BuildRequires: cmake, automake, libtool
BuildRequires: tdelibs-devel
%endif
%if %{is_unknown}
%define prefix %(tde-config --prefix)
Group: Graphical desktop/KDE
Release: %{kbfx_release}
BuildRequires: cmake, automake, libtool
%endif
Name: %{name}
Version: %{version}
License: GPL
URL: http://www.kbfx.net
Summary: An alternative to the classical K-Menu button and it's menu.
BuildRoot: %{_tmppath}/build-%{name}-%{version}-root
Packager: PhobosK <phobosk@mail.kbfx.net>
Vendor: KBFX TEAM
Provides: kbfx
%if %{is_stable} < 1
Source: %{name}-%{version}-%{kbfx_release}.tar.bz2
%else
Source: %{name}-%{version}.tar.bz2
%endif
%description
KBFX is an alternative to the classical K-Menu button and it's menu.
It improves the user experience by enabling the user to set a bigger (and thus more visible) start button and by finally replacing the Win95-like K-Menu with the Spinx bar.
If you still want the old menu, because you're used to it, it is still available as an option in kbfx.
Main features:
Spinx Bar has 6 Basic Functionalities.
1.Selecting an Application Group
2.Selecting an Application
3.Type and locate an Application
4.Logout of the Desktop
5.Lock the Desktop
6.Launch KBFX settings manager
7.Scroll up and down the application list
Extra features:
1.Double buffered Widgets to minimize flicker.
2.Animated scroll bars
3.New Tooltip
4.Gif/Mng File Support
5.New Control Manager
%prep
%if %{is_stable} < 1
%setup -n %{name}-%{version}-%{kbfx_release}
%else
%setup -n %{name}-%{version}
%endif
rm -Rf build
mkdir build
cd build
export DESTDIR=${RPM_BUILD_ROOT}
cmake ../ -DCMAKE_INSTALL_PREFIX=%{prefix}
%build
cd build
%install
cd build
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -Rf ${RPM_BUILD_ROOT};
export DESTDIR=${RPM_BUILD_ROOT}
make install
%if %{is_mandrake}
mkdir -p ${RPM_BUILD_ROOT}%{_menudir}
cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}
?package(%{name}): needs="kde" kde_filename="kbfxconfig" \
section="System/Configuration/Other" title="KBFX Configurator" icon="kbfxconfigapp" \
command="kbfxconfigapp" longtitle="KBFX Configuration Utility" \
kde_opt="\\\\nEncoding=UTF-8\\\\nType=Application"
EOF
%endif
%post
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi
/sbin/ldconfig
%postun
if [ "$1" = "0" -a -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi
/sbin/ldconfig
%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -Rf ${RPM_BUILD_ROOT};
%files
%defattr(-, root, root)
%{prefix}/*
%changelog
* Wed May 16 2007 0.4.9.3.1
- CHANGED layout and font configfile specs
- UPDATED help documentation
- ADDED fade transition effect on the KBFX Button
- ADDED install guides for using checkinstall
- ADDED Hungarian translation (thanks to Ferenc Stelcz for it)
- ADDED option to watch for KDE global changes like new installed applications
- ADDED option for Theme Info
- ADDED resizable configuration dialogs
- ADDED drag&drop hover, pressed and normal images over the KBFX button
- ADDED tooltip support for the KBFX button
- ADDED switch between KBFX and K Menu
- ADDED new two panel skin - "2panels"
- ADDED configurable middle background - middleboxbg.png
- ADDED fonts support in every part of the menu
- ADDED layout support in the KBFX Configurator
- ADDED support for the new versions of strigi
- ADDED support for use of strigi in Gentoo
- ADDED support for SVN version in Gentoo
- ADDED support for PCLinuxOS rpm build (thanks to @PaGal and @tom777 for the testing)
- ADDED support for future KDE4 (part 1)
- ADDED uninstall option for "build.sh" script
- FIXED cmake uninstall
- FIXED RPM .la issues
- FIXED some major bugs
- REMOVED Water effect (too much CPU time consuming and not a favorite one for our users)
* Wed Jan 17 2007 0.4.9.3-20070117
- Initial Release of the 0.4.9.3 Series - KBFX Silk (0.4.9.3)
- New Build system (cmake)
- Re-write of the data backend
- Re-write of the GUI
- Totally new theme
- Improved configuration dialog
* Fri Nov 17 2006 0.4.9.2rc4
- CHANGED some aspects of autoconf/automake behaviour
- CHANGED "Toolbar Resize" behaviour - turned off by default so kicker doesn't change its size anymore
- ADDED support for Mandriva 2007 compilation (no menudrake there by default)
- FIXED Searchbar behaviour (thanks @gropiuskalle)
- FIXED some minor bugs
* Sun Nov 05 2006 0.4.9.2rc3
- ADDED support for preparing .kbfxtheme files in konqueror (look the explanation in HOWTO file)
- ADDED "--prepare" commandline option to pack existing KBFX Skin Folders to .kbfxtheme files
- ADDED "Default Theme's Personal Image" to the "KBFX Configurator Application"
- ADDED "Toolbar Resize" option to the "KBFX Configurator Application" for the toolbar where the KBFX Button resides
- ADDED it, bg and nl translations
- FIXED some minor bugs
* Mon Sep 19 2006 0.4.9.2rc2
- CHANGED "KBFX Configurator Application" - rewritten from scratch and is no more part of "kcontrol"
- CHANGED "Tooltip Animation" behaviour - turned off by default
- ADDED new Default Theme
- ADDED fonts configuration option to the "KBFX Configurator Application"
- ADDED Install/Delete Themes to the "KBFX Configurator Application"
- ADDED support for .kbfxtheme files in konqueror (look the explanation in HOWTO file)
- ADDED possibility to change "dude" image to the "KBFX Configurator Application"
- ADDED Free-BSD Support
- FIXED font alignment problems
- FIXED long applications name problem
- FIXED some memory leaks
- FIXED some minor bugs
* Sun Jun 18 2006 0.4.9.2-20060708cvs
- UPDATED make system
* Sun Jun 11 2006 0.4.9.2-20060611cvs
- ADDED KNOWN_BUGS file in the project documents
- ADDED PC-BSD Support
- ADDED Drag and Drop Support
- FIXED a bug with showing icons in "Recently Used" items
- FIXED a bug with the placement of ".face.icon" (thanks @Nucc)
- Flicker Free KBFX Button
- Flicker Free KBFX SPINX Menu TOP
- Better scrolling
* Sun May 28 2006 0.4.9.2-20060528cvs
- ADDED suport for Fedora rpm
- ADDED an option to disable tooltip (see HOWTO file)
- FIXED a problem with building SUSE rpm
* Wed May 10 2006 0.4.9.2rc1
- ADDED suport for SUSE rpm
- ADDED support for Buttons with Drop shadows
- ADDED Font settings as part of the Theme itself
- ADDED Grouping header for each application group and sub groups
- ADDED Kiosk mode support
- ADDED Handling of submenus
- FIXED a problem with make
- FIXED make system for all distributions
- Better support for Mandriva distribution
- More applications for the menu
* Sun Apr 16 2006 0.4.9.1-1
Initial rpm release
- FIXED Kbfx configuration
- FIXED Slack 1.9 automake and compilation
- FIXED /tmp/.kbfx.html

@ -1,255 +0,0 @@
%define name @APPLICATION_NAME@
%define version @APPLICATION_MAIN_VERSION@@APPLICATION_STABLE_RELEASE@
%define kbfx_release @LIB_SUB_RELEASE@
%define is_stable @APPLICATION_STABLE@
%define debug_package %{nil}
%define is_unknown %(test -e /etc/mandrake-release -o -e /etc/SuSE-release -o -e /etc/fedora-release -o -e /etc/pclinuxos-release && echo 0 || echo 1)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)
%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_pclinuxos %(test -e /etc/pclinuxos-release && echo 1 || echo 0)
%if %{is_suse}
%define prefix /opt/trinity
Group: System/GUI/KDE
Release: %{kbfx_release}.suse%(echo "%{suse_version}" | %__sed -e 's/.$//')
Requires: tdelibs3
BuildRequires: tdelibs3-devel tdebase3-devel
BuildRequires: cmake, automake, libtool
BuildRequires: glibc-devel, libstdc++-devel
%endif
%if %{is_fedora}
%define fedora_version %(rpm -q --queryformat '%{VERSION}' fedora-release)
%define fedora_vernum %(echo "%{fedora_version}" | tr -d '.')
%define prefix /usr
Group: System/GUI/KDE
Release: %{kbfx_release}.FC%{fedora_vernum}
Requires: tdebase
BuildRequires: tdebase-devel qt-devel
BuildRequires: cmake, automake, libtool
BuildRequires: glibc-devel, libstdc++-devel
%endif
%if %{is_mandrake}
%if %{is_pclinuxos} < 1
%define prefix /usr
Group: Graphical desktop/KDE
Release: %{kbfx_release}.mdv%(echo "%{mdkversion}" | %__sed -e 's/.$//')
Requires: tdebase
BuildRequires: tdebase-devel
BuildRequires: cmake, automake, libtool
BuildRequires: glibc-devel, libstdc++-devel
%endif
%endif
%if %{is_pclinuxos}
%define prefix /usr
Group: Graphical desktop/KDE
Release: %{kbfx_release}.pclos%{product_version}
Requires: tdelibs
BuildRequires: cmake, automake, libtool
BuildRequires: tdelibs-devel
%endif
%if %{is_unknown}
%define prefix %(tde-config --prefix)
Group: Graphical desktop/KDE
Release: %{kbfx_release}
BuildRequires: cmake, automake, libtool
%endif
Name: %{name}
Version: %{version}
License: GPL
URL: http://www.kbfx.net
Summary: An alternative to the classical K-Menu button and it's menu.
BuildRoot: %{_tmppath}/build-%{name}-%{version}-root
Packager: PhobosK <phobosk@mail.kbfx.net>
Vendor: KBFX TEAM
Provides: kbfx
%if %{is_stable} < 1
Source: %{name}-%{version}-%{kbfx_release}.tar.bz2
%else
Source: %{name}-%{version}.tar.bz2
%endif
%description
KBFX is an alternative to the classical K-Menu button and it's menu.
It improves the user experience by enabling the user to set a bigger (and thus more visible) start button and by finally replacing the Win95-like K-Menu with the Spinx bar.
If you still want the old menu, because you're used to it, it is still available as an option in kbfx.
Main features:
Spinx Bar has 6 Basic Functionalities.
1.Selecting an Application Group
2.Selecting an Application
3.Type and locate an Application
4.Logout of the Desktop
5.Lock the Desktop
6.Launch KBFX settings manager
7.Scroll up and down the application list
Extra features:
1.Double buffered Widgets to minimize flicker.
2.Animated scroll bars
3.New Tooltip
4.Gif/Mng File Support
5.New Control Manager
%prep
%if %{is_stable} < 1
%setup -n %{name}-%{version}-%{kbfx_release}
%else
%setup -n %{name}-%{version}
%endif
rm -Rf build
mkdir build
cd build
export DESTDIR=${RPM_BUILD_ROOT}
cmake ../ -DCMAKE_INSTALL_PREFIX=%{prefix}
%build
cd build
%install
cd build
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -Rf ${RPM_BUILD_ROOT};
export DESTDIR=${RPM_BUILD_ROOT}
make install
%if %{is_mandrake}
mkdir -p ${RPM_BUILD_ROOT}%{_menudir}
cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}
?package(%{name}): needs="kde" kde_filename="kbfxconfig" \
section="System/Configuration/Other" title="KBFX Configurator" icon="kbfxconfigapp" \
command="kbfxconfigapp" longtitle="KBFX Configuration Utility" \
kde_opt="\\\\nEncoding=UTF-8\\\\nType=Application"
EOF
%endif
%post
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi
/sbin/ldconfig
%postun
if [ "$1" = "0" -a -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi
/sbin/ldconfig
%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -Rf ${RPM_BUILD_ROOT};
%files
%defattr(-, root, root)
%{prefix}/*
%changelog
* Wed May 16 2007 0.4.9.3.1
- CHANGED layout and font configfile specs
- UPDATED help documentation
- ADDED fade transition effect on the KBFX Button
- ADDED install guides for using checkinstall
- ADDED Hungarian translation (thanks to Ferenc Stelcz for it)
- ADDED option to watch for KDE global changes like new installed applications
- ADDED option for Theme Info
- ADDED resizable configuration dialogs
- ADDED drag&drop hover, pressed and normal images over the KBFX button
- ADDED tooltip support for the KBFX button
- ADDED switch between KBFX and K Menu
- ADDED new two panel skin - "2panels"
- ADDED configurable middle background - middleboxbg.png
- ADDED fonts support in every part of the menu
- ADDED layout support in the KBFX Configurator
- ADDED support for the new versions of strigi
- ADDED support for use of strigi in Gentoo
- ADDED support for SVN version in Gentoo
- ADDED support for PCLinuxOS rpm build (thanks to @PaGal and @tom777 for the testing)
- ADDED support for future KDE4 (part 1)
- ADDED uninstall option for "build.sh" script
- FIXED cmake uninstall
- FIXED RPM .la issues
- FIXED some major bugs
- REMOVED Water effect (too much CPU time consuming and not a favorite one for our users)
* Wed Jan 17 2007 0.4.9.3-20070117
- Initial Release of the 0.4.9.3 Series - KBFX Silk (0.4.9.3)
- New Build system (cmake)
- Re-write of the data backend
- Re-write of the GUI
- Totally new theme
- Improved configuration dialog
* Fri Nov 17 2006 0.4.9.2rc4
- CHANGED some aspects of autoconf/automake behaviour
- CHANGED "Toolbar Resize" behaviour - turned off by default so kicker doesn't change its size anymore
- ADDED support for Mandriva 2007 compilation (no menudrake there by default)
- FIXED Searchbar behaviour (thanks @gropiuskalle)
- FIXED some minor bugs
* Sun Nov 05 2006 0.4.9.2rc3
- ADDED support for preparing .kbfxtheme files in konqueror (look the explanation in HOWTO file)
- ADDED "--prepare" commandline option to pack existing KBFX Skin Folders to .kbfxtheme files
- ADDED "Default Theme's Personal Image" to the "KBFX Configurator Application"
- ADDED "Toolbar Resize" option to the "KBFX Configurator Application" for the toolbar where the KBFX Button resides
- ADDED it, bg and nl translations
- FIXED some minor bugs
* Mon Sep 19 2006 0.4.9.2rc2
- CHANGED "KBFX Configurator Application" - rewritten from scratch and is no more part of "kcontrol"
- CHANGED "Tooltip Animation" behaviour - turned off by default
- ADDED new Default Theme
- ADDED fonts configuration option to the "KBFX Configurator Application"
- ADDED Install/Delete Themes to the "KBFX Configurator Application"
- ADDED support for .kbfxtheme files in konqueror (look the explanation in HOWTO file)
- ADDED possibility to change "dude" image to the "KBFX Configurator Application"
- ADDED Free-BSD Support
- FIXED font alignment problems
- FIXED long applications name problem
- FIXED some memory leaks
- FIXED some minor bugs
* Sun Jun 18 2006 0.4.9.2-20060708cvs
- UPDATED make system
* Sun Jun 11 2006 0.4.9.2-20060611cvs
- ADDED KNOWN_BUGS file in the project documents
- ADDED PC-BSD Support
- ADDED Drag and Drop Support
- FIXED a bug with showing icons in "Recently Used" items
- FIXED a bug with the placement of ".face.icon" (thanks @Nucc)
- Flicker Free KBFX Button
- Flicker Free KBFX SPINX Menu TOP
- Better scrolling
* Sun May 28 2006 0.4.9.2-20060528cvs
- ADDED suport for Fedora rpm
- ADDED an option to disable tooltip (see HOWTO file)
- FIXED a problem with building SUSE rpm
* Wed May 10 2006 0.4.9.2rc1
- ADDED suport for SUSE rpm
- ADDED support for Buttons with Drop shadows
- ADDED Font settings as part of the Theme itself
- ADDED Grouping header for each application group and sub groups
- ADDED Kiosk mode support
- ADDED Handling of submenus
- FIXED a problem with make
- FIXED make system for all distributions
- Better support for Mandriva distribution
- More applications for the menu
* Sun Apr 16 2006 0.4.9.1-1
Initial rpm release
- FIXED Kbfx configuration
- FIXED Slack 1.9 automake and compilation
- FIXED /tmp/.kbfx.html

@ -10,4 +10,4 @@
#################################################
add_subdirectory( raster )
add_subdirectory( vector )
#add_subdirectory( vector ) # currently empty

@ -1,91 +0,0 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:
inherit eutils multilib
DESCRIPTION="Fast crawling Desktop-Searchengine with (optional) QT4 GUI"
HOMEPAGE="http://www.vandenoever.info/software/strigi"
SRC_URI="http://www.vandenoever.info/software/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="xercesc clucene hyperestraier sqlite3 xml xattr qt4 log dbus inotify"
DEPEND="
>=dev-util/cmake-2.4.2
>=sys-libs/zlib-1.2.3
>=app-arch/bzip2-1.0.3
dev-libs/openssl
virtual/libiconv
dev-libs/expat
xercesc? ( >=dev-libs/xerces-c )
clucene? ( >=dev-cpp/clucene-0.9.16 )
hyperestraier? ( app-text/hyperestraier )
sqlite3? ( =dev-db/sqlite-3* )
xml? ( dev-libs/libxml2 )
xattr? ( sys-apps/attr )
qt4? ( >=x11-libs/qt-4.2.1-r1 )
log? ( >=dev-libs/log4cxx-0.9.7 )
dbus? ( sys-apps/dbus )"
# For most optional dependancies the use flags will be ignored,
# useage will be determined by the pressence of the library instead.
# This is a problem with the upstream build file.
pkg_setup() {
if !(use clucene) && !(use hyperestraier) && !(use sqlite3) ; then
echo ""
echo "ERROR:"
eerror "You must enable one of the supported backends: "
eerror "clucene, hyperestraier and sqlite3"
eerror "If you are unsure, select cluencene"
echo ""
die
fi
if use dbus && use qt4 && !(built_with_use ">=x11-libs/qt-4.2.0" dbus); then
echo ""
echo "ERROR:"
eerror "You are building Stingi with qt4 and dbus, but qt4 wasn't built with dbus."
eerror "Please reemerge qt4 with dbus, or disable dbus in Stingi."
echo ""
die
fi
if use qt4 && !(use dbus); then
echo ""
echo "WARNING:"
ewarn "You are building Stingi with qt4 but without dbus."
ewarn "Strigiclient won't be able to detect a running Strigi daemon."
ewarn "To avoid this, please enable both qt4 and dbus."
echo ""
fi
# inotify still in development and unstable
if use inotify; then
echo ""
echo "WARNING:"
ewarn "Inotify support in stingi is still unstable"
ewarn "If you get problems, please rebuild stringi without inotify"
echo ""
fi
}
src_compile() {
cmake \
-DENABLE_INOTIFY:BOOL=$( use inotify && echo ON || echo OFF ) \
-DENABLE_DBUS:BOOL=$( use dbus && echo ON || echo OFF ) \
-DENABLE_LOG4CXX:BOOL=$( use log && echo ON || echo OFF ) \
-DCMAKE_INSTALL_PREFIX:PATH=/usr \
-DLIB_DESTINATION:PATH=$(get_libdir) \
. || die
emake || die
}
src_install() {
emake install DESTDIR=${D} || die
}

@ -1,91 +0,0 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:
inherit eutils multilib
DESCRIPTION="Fast crawling Desktop-Searchengine with (optional) QT4 GUI"
HOMEPAGE="http://www.vandenoever.info/software/strigi"
SRC_URI="http://www.vandenoever.info/software/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="xercesc clucene hyperestraier sqlite3 xml xattr qt4 log dbus inotify"
DEPEND="
>=dev-util/cmake-2.4.2
>=sys-libs/zlib-1.2.3
>=app-arch/bzip2-1.0.3
dev-libs/openssl
virtual/libiconv
dev-libs/expat
xercesc? ( >=dev-libs/xerces-c )
clucene? ( >=dev-cpp/clucene-0.9.16 )
hyperestraier? ( app-text/hyperestraier )
sqlite3? ( =dev-db/sqlite-3* )
xml? ( dev-libs/libxml2 )
xattr? ( sys-apps/attr )
qt4? ( >=x11-libs/qt-4.2.1-r1 )
log? ( >=dev-libs/log4cxx-0.9.7 )
dbus? ( sys-apps/dbus )"
# For most optional dependancies the use flags will be ignored,
# useage will be determined by the pressence of the library instead.
# This is a problem with the upstream build file.
pkg_setup() {
if !(use clucene) && !(use hyperestraier) && !(use sqlite3) ; then
echo ""
echo "ERROR:"
eerror "You must enable one of the supported backends: "
eerror "clucene, hyperestraier and sqlite3"
eerror "If you are unsure, select cluencene"
echo ""
die
fi
if use dbus && use qt4 && !(built_with_use ">=x11-libs/qt-4.2.0" dbus); then
echo ""
echo "ERROR:"
eerror "You are building Stingi with qt4 and dbus, but qt4 wasn't built with dbus."
eerror "Please reemerge qt4 with dbus, or disable dbus in Stingi."
echo ""
die
fi
if use qt4 && !(use dbus); then
echo ""
echo "WARNING:"
ewarn "You are building Stingi with qt4 but without dbus."
ewarn "Strigiclient won't be able to detect a running Strigi daemon."
ewarn "To avoid this, please enable both qt4 and dbus."
echo ""
fi
# inotify still in development and unstable
if use inotify; then
echo ""
echo "WARNING:"
ewarn "Inotify support in stingi is still unstable"
ewarn "If you get problems, please rebuild stringi without inotify"
echo ""
fi
}
src_compile() {
cmake \
-DENABLE_INOTIFY:BOOL=$( use inotify && echo ON || echo OFF ) \
-DENABLE_DBUS:BOOL=$( use dbus && echo ON || echo OFF ) \
-DENABLE_LOG4CXX:BOOL=$( use log && echo ON || echo OFF ) \
-DCMAKE_INSTALL_PREFIX:PATH=/usr \
-DLIB_DESTINATION:PATH=$(get_libdir) \
. || die
emake || die
}
src_install() {
emake install DESTDIR=${D} || die
}
Loading…
Cancel
Save